Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.admin.migration
Class Export

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.admin.migration.Export

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

Direct Known Subclasses:
  Import

    public class Export

extends BambooActionSupport

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`Export()`

Method Summary
`protected boolean` | `bambooExport(String path)`
`String` | `doDefault()`
`String` | `execute()`
`BootstrapManager` | `getBootstrapManager()`
`String` | `getDefaultExportPath()`
`String` | `getPath()`
`PipelineManager` | `getPipelineManager()`
`XmlMigrator` | `getXmlMigrator()`
`protected boolean` | `isBambooFree()`
`protected void` | `safeStartBamboo()`
`protected void` | `safeStopBamboo()`
`void` | `setBootstrapManager(BootstrapManager bootstrapManager)`
`void` | `setPath(String path)`
`void` | `setPipelineManager(PipelineManager pipelineManager)`
`void` | `setXmlMigrator(XmlMigrator xmlMigrator)`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### Export

    public Export()

Method Detail

### doDefault

    public String doDefault()
                     throws Exception

  Overrides:
    `doDefault` in class `BambooActionSupport`
  Throws:
    `Exception`

### execute

    public String execute()
                   throws Exception

  Throws:
    `Exception`

### bambooExport

    protected boolean bambooExport(String path)
                            throws InterruptedException

  Throws:
    `InterruptedException`

### safeStopBamboo

    protected void safeStopBamboo()
                           throws InterruptedException

  Throws:
    `InterruptedException`

### safeStartBamboo

    protected void safeStartBamboo()

### isBambooFree

    protected boolean isBambooFree()

### getDefaultExportPath

    public String getDefaultExportPath()

### getPath

    public String getPath()

### setPath

    public void setPath(String path)

### getXmlMigrator

    public XmlMigrator getXmlMigrator()

### setXmlMigrator

    public void setXmlMigrator(XmlMigrator xmlMigrator)

### getBootstrapManager

    public BootstrapManager getBootstrapManager()

### setBootstrapManager

    public void setBootstrapManager(BootstrapManager bootstrapManager)

### getPipelineManager

    public PipelineManager getPipelineManager()

### setPipelineManager

    public void setPipelineManager(PipelineManager pipelineManager)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.